## pgtt 4.0

=== Makefile ===
EXTENSION  = pgtt
EXTVERSION = $(shell grep default_version $(EXTENSION).control | \
	       sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")

PGFILEDESC = "pgtt - Global Temporary Tables for PostgreSQL"

PG_CONFIG = pg_config

PG_CPPFLAGS = -I$(libpq_srcdir) -Wno-uninitialized -Wno-ignored-attributes
PG_LDFLAGS = -L$(libpq_builddir) -lpq
PG_LIBDIR := $(shell $(PG_CONFIG) --libdir)

SHLIB_LINK = $(libpq)

DOCS = $(wildcard README*)
MODULES = pgtt

DATA = $(wildcard updates/*--*.sql) $(wildcard sql/*.sql)

TESTS        = 00_init 01_oncommitdelete 02_oncommitpreserve \
	       03_createontruncate 04_rename 05_useindex \
	       06_createas 07_createlike 08_plplgsql \
	       09_transaction 10_foreignkey 11_after_error \
	       12_droptable

REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pgtt (4.0-2.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 14 Sep 2024 20:46:02 +0200

pgtt (4.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.
  * Install docs to non-generic name. (Closes: #1073801)

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 20:46:02 +0200

pgtt (4.0-1) unstable; urgency=medium

  * Initial release.
  * Cherry-pick fix for test-instability on s390x.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Jun 2024 10:20:54 +0200

=== debian/control ===
Source: pgtt
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/darold/pgtt/
Vcs-Browser: https://salsa.debian.org/postgresql/pgtt
Vcs-Git: https://salsa.debian.org/postgresql/pgtt.git

Package: postgresql-12-pgtt
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Global Temporary Tables
 pgtt is a PostgreSQL extension to create, manage and use Oracle-style Global
 Temporary Tables.
 .
 The objective of this extension is to provide Global Temporary Tables to
 PostgreSQL waiting for an in-core implementation. The main interest of this
 extension is to mimic the Oracle behavior with GTT when you can not or do not
 want to rewrite the application code when migrating to PostgreSQL.

Package: postgresql-13-pgtt
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Global Temporary Tables
 pgtt is a PostgreSQL extension to create, manage and use Oracle-style Global
 Temporary Tables.
 .
 The objective of this extension is to provide Global Temporary Tables to
 PostgreSQL waiting for an in-core implementation. The main interest of this
 extension is to mimic the Oracle behavior with GTT when you can not or do not
 want to rewrite the application code when migrating to PostgreSQL.

Package: postgresql-14-pgtt
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Global Temporary Tables
 pgtt is a PostgreSQL extension to create, manage and use Oracle-style Global
 Temporary Tables.
 .
 The objective of this extension is to provide Global Temporary Tables to
 PostgreSQL waiting for an in-core implementation. The main interest of this
 extension is to mimic the Oracle behavior with GTT when you can not or do not
 want to rewrite the application code when migrating to PostgreSQL.

Package: postgresql-15-pgtt
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Global Temporary Tables
 pgtt is a PostgreSQL extension to create, manage and use Oracle-style Global
 Temporary Tables.
 .
 The objective of this extension is to provide Global Temporary Tables to
 PostgreSQL waiting for an in-core implementation. The main interest of this
 extension is to mimic the Oracle behavior with GTT when you can not or do not
 want to rewrite the application code when migrating to PostgreSQL.

Package: postgresql-16-pgtt
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Global Temporary Tables
 pgtt is a PostgreSQL extension to create, manage and use Oracle-style Global
 Temporary Tables.
 .
 The objective of this extension is to provide Global Temporary Tables to
 PostgreSQL waiting for an in-core implementation. The main interest of this
 extension is to mimic the Oracle behavior with GTT when you can not or do not
 want to rewrite the application code when migrating to PostgreSQL.

Package: postgresql-17-pgtt
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Global Temporary Tables
 pgtt is a PostgreSQL extension to create, manage and use Oracle-style Global
 Temporary Tables.
 .
 The objective of this extension is to provide Global Temporary Tables to
 PostgreSQL waiting for an in-core implementation. The main interest of this
 extension is to mimic the Oracle behavior with GTT when you can not or do not
 want to rewrite the application code when migrating to PostgreSQL.

## pgtt 4.1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 SHLIB_LINK = $(libpq)
 
-DOCS = $(wildcard README*)
+DOCS = pgtt.md
 MODULES = pgtt
 
 DATA = $(wildcard updates/*--*.sql) $(wildcard sql/*.sql)

=== debian/changelog ===
pgtt (4.1-1) unstable; urgency=medium

  * New upstream version 4.1.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Mar 2025 12:19:58 +0100

=== debian/control ===
Source: pgtt
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/darold/pgtt/
Vcs-Browser: https://salsa.debian.org/postgresql/pgtt
Vcs-Git: https://salsa.debian.org/postgresql/pgtt.git

Package: postgresql-17-pgtt
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Global Temporary Tables
 pgtt is a PostgreSQL extension to create, manage and use Oracle-style Global
 Temporary Tables.
 .
 The objective of this extension is to provide Global Temporary Tables to
 PostgreSQL waiting for an in-core implementation. The main interest of this
 extension is to mimic the Oracle behavior with GTT when you can not or do not
 want to rewrite the application code when migrating to PostgreSQL.

## pgtt 4.4

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	       03_createontruncate 04_rename 05_useindex \
 	       06_createas 07_createlike 08_plplgsql \
 	       09_transaction 10_foreignkey 11_after_error \
-	       12_droptable
+	       12_droptable 13_searchpath
 
 REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
 REGRESS_OPTS = --inputdir=test

=== debian/changelog ===
pgtt (4.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117314)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:05:10 +0200

pgtt (4.4-1) experimental; urgency=medium

  * New upstream version 4.4.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Jul 2025 20:29:11 +0200

pgtt (4.3-1) experimental; urgency=medium

  * New upstream version 4.3.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Jun 2025 22:47:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,23 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  architecture-is-64-bit <!pkg.postgresql.32-bit>,
- debhelper-compat (= 13),
  postgresql-all <!nocheck>,
  postgresql-server-dev-all,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/darold/pgtt/
 Vcs-Browser: https://salsa.debian.org/postgresql/pgtt
 Vcs-Git: https://salsa.debian.org/postgresql/pgtt.git
 
-Package: postgresql-17-pgtt
+Package: postgresql-18-pgtt
 Architecture: any
 Depends:
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL Global Temporary Tables
  pgtt is a PostgreSQL extension to create, manage and use Oracle-style Global
  Temporary Tables.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs_loop

execute_before_dh_auto_build:
	cp README.md pgtt.md

override_dh_installdocs:
	dh_installdocs --all README.*

=== debian/watch ===
version=4
https://github.com/darold/pgtt/tags .*/v(.*).tar.gz
